Kerbal Space Program - Bug #4816

crew transfer/eva bug
04/29/2015 07:22 PM - drazed

Status: Closed Start date: 04/29/2015
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.0 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

If you eva while in the process of preforming a crew-transfer things get buggy.

Reproduce: * any manned vessel in space (| found/tested in space anyways) * click a crew-hatch, select 'transfer' on a kerbal *in
bottom-right click 'eva’ on any kerbal * controls are locked, unable to do anything, transfer highlighting is still present * hit escape to
fix

Similar issue if you "IVA" a crew while in process of transfer, but controls still work to view/exit the iva, crew transfer remains up after
exit. This one is almost 'this-bug-is-a-feature’, but the EVA is certainly only bug. Crew-transfer should auto-cancel if switching to
EVA/IVA.

As all my bugs, tested on linux, but | assume this is an issue on ALL os's.

History

#1 - 04/29/2015 07:30 PM - drazed

Formatting came out wrong so reposting the reproduce steps (I will use preview from now on sorry)
Reproduce:

any manned vessel in space (I found/tested in space anyways)

click a crew-hatch, select 'transfer' on a kerbal

in bottom-right click 'eva’' on any kerbal

controls are locked, unable to do anything, transfer highlighting is still present
hit escape to fix

#2 - 05/13/2015 04:59 AM - orcaman98
- Status changed from New to Confirmed

- % Done changed from 0 to 10

This is also a problem anytime you right-click to rotate the view after starting the transfer. (Click hatch, click transfer, "whoops, the pod | want him in is
out of sight", right-click to change view angle, left-clicking on any pod now does nothing.)Can only transfer if hatch and destination pod can be clicked
from one viewing angle. Windows 7 (x64), KSP 1.0.2 (x32)

#3 - 11/17/2015 02:15 PM - sal_vager
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

No longer reproducible in build 1028

#4 - 07/17/2016 09:19 AM - TriggerAu

- Status changed from Resolved to Closed
